package ex.validation;

import javax.validation.ConstraintValidator;
import javax.validation.ConstraintValidatorContext;

import org.springframework.beans.factory.annotation.Autowired;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.ImportResource;

@Configuration
@ImportResource("classpath:/properties-config.xml")
public class ConfigurableSizeValidator implements ConstraintValidator<ConfigurableSize, String> {
	
	private @Value("#{validation['configurable.size.max']}") int max;

	@Override
	public void initialize(ConfigurableSize configurableSize) {}

	@Override
	public boolean isValid(String field, ConstraintValidatorContext context) {
		if (field == null) {
			return false;
		}
		return field.length() <= max;
	}

}
